Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230487 - pkgorder ignores productpath (patch included)
Summary: pkgorder ignores productpath (patch included)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Lehman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 23:16 UTC by Jos Vos
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0644
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:20:31 UTC


Attachments (Terms of Use)
Patch for correct path handling (deleted)
2007-02-28 23:16 UTC, Jos Vos
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0644 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2007-10-30 22:56:59 UTC

Description Jos Vos 2007-02-28 23:16:50 UTC
Description of problem:
Pkgorder does not handle the given productpath correctly and in many cases
ignores it, so packages are not found.  See als the mailthread "pkgorder patch"
with messages from Jesse Keating and Jeremy Katz (27-29 Jan 2007).

Version-Release number of selected component (if applicable):
11.1.2.16-1

Solution:
Handle different path combinations consistently, in one place (following
Jeremy's suggestion).  See the attached patch.

Comment 1 Jos Vos 2007-02-28 23:16:50 UTC
Created attachment 148972 [details]
Patch for correct path handling

Comment 3 RHEL Product and Program Management 2007-03-21 21:52:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 David Lehman 2007-06-13 15:12:03 UTC
Fixed in anaconda-11.1.2.37-1.

Comment 10 errata-xmlrpc 2007-11-07 17:20:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0644.html



Note You need to log in before you can comment on or make changes to this bug.